Skip to content
Proud to collaborate with Microsoft for Startups

docusign.notary-jurisdiction.post-notary-jurisdictions ​

Creates a jurisdiction object.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
commissionexpirationstringNo—The expiration date of the notary's commission in format: MM/DD/YYYY.
commissionidstringNo—The notary's commission identification. This varies from jurisdiction to jurisdiction.
countystringNo—The county that the commission is valid in.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
jurisdictionjsonNo—Describes the jurisdiction of a notary. This is read-only object.
registerednamestringNo—The registered name of the notary.
sealtypestringNo—The seal type used for this juridiction. - not_available - system_created - user_uploaded

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
commissionexpirationstringNo—The expiration date of the notary's commission in format: MM/DD/YYYY.
commissionidstringNo—The notary's commission identification. This varies from jurisdiction to jurisdiction.
countystringNo—The county that the commission is valid in.
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
jurisdictionjsonNo—Describes the jurisdiction of a notary. This is read-only object.
registerednamestringNo—The registered name of the notary.
sealtypestringNo—The seal type used for this juridiction. - not_available - system_created - user_uploaded
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/current_user/notary/jurisdictions
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/current_user/notary/jurisdictions
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.notary-jurisdiction.post-notary-jurisdictions",
  "initial_data": {
    "base_url": "value"
  }
}